@import '~@angular/material/theming';

@mixin page-header-theme($theme) {
  $accent: map-get($theme, accent);
  $warn: map-get($theme, warn);
  $primary: map-get($theme, primary);

   $btn-shadow: 0 0.0625rem 0.125rem mat-color($primary, 300);
  $primary-gradient: linear-gradient(45deg, $blue-gradient1 0%, $blue-gradient2 100%);

  .page-header{
    padding: 1.5rem 2.5rem 1rem 2.5rem;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    h2{
      color: $grey-9;
    }

    /** Zone Info/Boutons Droite **/
   .zone-boutons{
      text-align: right;
      width: auto;
      margin-left: auto;
      display: flex;

      & button{
        margin-left: 0.5rem;
      }
   }
  /** **/

  .mat-icon-button.mat-accent{
    width: 2rem;
    height: 2rem;
    border-radius: 0.25rem;
    border-width: 0.0625rem;
    border-style: solid;
    border-color: mat-color($accent, 400);
  }
  }

}


